package com.ruoyi.system.domain.project;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目投资方-自然人对象 bm_project_persion
 * 
 * @author ruoyi
 * @date 2021-03-04
 */
public class BmProjectPersion extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目投资方id* */
    private Long id;

    /** 项目id* */
    @Excel(name = "项目id*")
    private Long bmProjectId;

    /** 姓名* */
    @Excel(name = "姓名*")
    private String name;

    /** 所在地* */
    @Excel(name = "所在地*")
    private String address;

    /** 身份证号码* */
    @Excel(name = "身份证号码*")
    private String idCode;

    /** 联系方式* */
    @Excel(name = "联系方式*")
    private String phone;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBmProjectId(Long bmProjectId) 
    {
        this.bmProjectId = bmProjectId;
    }

    public Long getBmProjectId() 
    {
        return bmProjectId;
    }

    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }

    public String getIdCode() {
        return idCode;
    }

    public void setIdCode(String idCode) {
        this.idCode = idCode;
    }

    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bmProjectId", getBmProjectId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .append("name", getName())
            .append("address", getAddress())
            .append("idcode", getIdCode())
            .append("phone", getPhone())
            .toString();
    }
}
